<?php

include 'load.php';

if(isset($_GET['emid'])){
	$emid=mysqli_real_escape_string($conn,$_GET['emid']);
	$view_qury=mysqli_query($conn,"SELECT * FROM mobileemployee WHERE emid='$emid'");
	$view_result=mysqli_fetch_array($view_qury);
}

else{
	echo "<script>window.location='employeelist.php';</script>";
}

	if(isset($_POST['update'])){

			$emname = $_POST['emname'];
			$emaddress = $_POST['emaddress'];
			$emphonenumber = $_POST['emphonenumber'];
			$comtype = $_POST['comtype'];
			$emusertype = $_POST['emusertype'];
			$em_agency = $_POST['em_agency'];
			$user_name = $_POST['user_name'];
			$status = $_POST['status'];
			$addby = $_SESSION['emid'];
			
			$imgFile = $_FILES['user_image']['name'];
			$tmp_dir = $_FILES['user_image']['tmp_name'];
			$imgSize = $_FILES['user_image']['size'];
		
			if($imgFile)

			{

			$upload_dir = 'images/employee/'; // upload directory	

			$imgExt = strtolower(pathinfo($imgFile,PATHINFO_EXTENSION)); // get imemusertype extension

			$valid_extensions = array('jpeg', 'jpg', 'png', 'gif' ,'docx' , 'pdf' , 'video' , 'mp3'); // valid extensions

			$userpic = rand(1,1000000).".".$imgExt;

			if(in_array($imgExt, $valid_extensions))

			{			

			if($imgSize < 5000000)

			{

			unlink($upload_dir.$view_result['profile_picture']);

			move_uploaded_file($tmp_dir,$upload_dir.$userpic);

			}
				
			else

			{

			$errMSG = "Sorry, your file is too large it investould be less then 5MB";

			}

			}

			else

			{

			$errMSG = "Sorry, only JPG, JPEG, PNG & GIF files are allowed.";		

			}	

			}

			else

			{

			// if no imemusertype selected the old imemusertype remain as it is.

			$userpic = $view_result['profile_picture']; // old imemusertype from database

			}

			if(!isset($errMSG)){
			
			$stmt = $DB_con->prepare('UPDATE mobileemployee
			SET emname=:emname,
			emaddress=:emaddress,
			emphonenumber=:emphonenumber,
			comtype=:comtype,
			emusertype=:emusertype,
			em_agency=:em_agency,
			user_name=:user_name,
			profile_picture=:upic,
			status=:status,
			addby=:addby
			WHERE emid=:emid');
			$stmt->bindParam(':emname',$emname);
			$stmt->bindParam(':emaddress',$emaddress);
			$stmt->bindParam(':emphonenumber',$emphonenumber);
			$stmt->bindParam(':comtype',$comtype);
			$stmt->bindParam(':emusertype',$emusertype);
			$stmt->bindParam(':em_agency',$em_agency);
			$stmt->bindParam(':user_name',$user_name);
			$stmt->bindParam(':upic',$userpic);
			$stmt->bindParam(':status',$status);
			$stmt->bindParam(':addby',$addby);
			$stmt->bindParam(':emid',$emid);
			
			if($stmt->execute()){
		  
			$successMSG = "Employee Successfully Updated ...";
				
			header("refresh:2;employeelist.php"); // redirects imemusertype view pemusertype after 5 seconds.
				
			}else{
				
			$errMSG = "Sorry Data Could Not Updated !";
				
			}
		
    }

}
	
?>


<!DOCTYPE html>
<html lang="en">
<head>
<meta charset="utf-8">
<meta name="viewport" content="width=device-width, initial-scale=1.0, user-scalable=0">
<meta name="description" content="POS - Eat More Resturant   | Pos & Invetory System | Dashboard

">
<meta name="keywords" content="Eat More Resturant   | Pos & Invetory System | Dashboard

">
<meta name="author" content="Eat More Resturant   | Pos & Invetory System | Dashboard

">
<meta name="robots" content="noindex, nofollow">

<title>Edit Employee | Eat More Resturant   | Pos & Invetory System | Dashboard

</title>

<?php
require_once 'headercss.php';
?>

</head>
<body>
<div id="global-loader">
<div class="whirly-loader"> </div>
</div>

<div class="main-wrapper">
<?php
require_once 'header.php';
?>

<?php
require_once 'navbar.php';
?>

<div class="page-wrapper">
<div class="content">
<div class="page-header">
<div class="page-title">
<h4>Edit Employee</h4>
<h6>Update your Employee</h6>
</div>
</div>

<div class="card">
<div class="card-body">
<form method="POST" enctype="multipart/form-data">
									<?php

									if(isset($errMSG)){

									?>
									
									<div class="alert alert-danger border-0 bg-danger alert-dismissible fade show py-2">
									<div class="d-flex align-items-center">
										<div class="font-35 text-white"><i class="bx bxs-messege-square-x"></i>
										</div>
										<div class="ms-3">
											<h6 class="mb-0 text-white">Error Alerts</h6>
											<div class="text-white"> <?php echo $errMSG; ?>!</div>
										</div>
									</div>
									<button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
									</div>
									
									<?php

									}
	
									else if(isset($successMSG)){

									?>
									
									<div class="alert alert-success border-0 bg-success alert-dismissible fade show py-2">
									<div class="d-flex align-items-center">
										<div class="font-35 text-white"><i class="bx bxs-check-circle"></i>
										</div>
										<div class="ms-3">
											<h6 class="mb-0 text-white">Success Alerts</h6>
											<div class="text-white"><?php echo $successMSG; ?>!</div>
										</div>
									</div>
									<button type="button" class="btn-close" data-bs-dismiss="alert" aria-label="Close"></button>
									</div>
									
									<?php

									}

									?>	
<div class="row">
<div class="col-lg-4 col-sm-6 col-12">
<div class="form-group">
<label>Employee Name</label>
<input type="text" name="emname" class="form-control" id="inputemname" value="<?php echo $view_result['emname']; ?>" placeholder="Enter Employee Name">						 
</div>
</div>
<div class="col-lg-3 col-sm-6 col-12">
<div class="form-group">
<label>Address</label>
<input type="text" name="emaddress" class="form-control" id="inputemaddress" value="<?php echo $view_result['emaddress']; ?>" placeholder="Enter Address">
</div>
</div>
<div class="col-lg-3 col-sm-6 col-12">
<div class="form-group">
<label>Phone Number</label>
<input type="text" name="emphonenumber" class="form-control" id="inputemphonenumber" value="<?php echo $view_result['emphonenumber']; ?>" placeholder="Enter Phone Number">
</div>
</div>
<div class="col-lg-2 col-sm-6 col-12">
<div class="form-group">
<label>Type</label>
<select class="form-control" name="comtype" required>
<option value="1"<?php if($view_result['comtype']=="1"){echo "selected";} ?>>Company</option>
<option value="2"<?php if($view_result['comtype']=="2"){echo "selected";} ?>>Agency</option>
</select>
</div>
</div>
<div class="col-lg-3 col-sm-6 col-12">
<div class="form-group">
<label>Employee Type</label>
<select class="form-control" name="emusertype" required>
<option value="0"<?php if($view_result['emusertype']=="0"){echo "selected";} ?>>None</option>
<option value="1"<?php if($view_result['emusertype']=="1"){echo "selected";} ?>>Super Admin</option>
<option value="2"<?php if($view_result['emusertype']=="2"){echo "selected";} ?>>Director</option>
<option value="3"<?php if($view_result['emusertype']=="3"){echo "selected";} ?>>Account</option>
<option value="4"<?php if($view_result['emusertype']=="4"){echo "selected";} ?>>Area Manager</option>
<option value="5"<?php if($view_result['emusertype']=="5"){echo "selected";} ?>>Sales Manager</option>
<option value="6"<?php if($view_result['emusertype']=="6"){echo "selected";} ?>>Ref</option>
<option value="7"<?php if($view_result['emusertype']=="7"){echo "selected";} ?>>Office Assistant</option>
<option value="8"<?php if($view_result['emusertype']=="8"){echo "selected";} ?>>Factory</option>
<option value="9"<?php if($view_result['emusertype']=="9"){echo "selected";} ?>>Distributor</option>
</select>
</div>
</div>
<div class="col-lg-3 col-sm-6 col-12">
<div class="form-group">
<label>Agency</label>
<select name="em_agency" class="select" id="inputem_agency">

										<option value="<?php

												$id = $view_result['em_agency']; 

												$query = $DB_con->prepare('SELECT agid FROM mobileagency WHERE agid='.$id);

												$query->execute();

												$result = $query->fetch();

												echo $result['agid'];

												?>"><?php

												$id = $view_result['em_agency'];  

												$query = $DB_con->prepare('SELECT agname FROM mobileagency WHERE agid='.$id);

												$query->execute();

												$result = $query->fetch();

												echo $result['agname'];

												?></option>
										<option value="0">Company</option>
										<?php

										$stmt = $DB_con->prepare('SELECT * FROM mobileagency ORDER BY agid');

										$stmt->execute();

										if($stmt->rowCount() > 0)

										{

										while($row=$stmt->fetch(PDO::FETCH_ASSOC))

										{

										extract($row);

										?>
										<option value="<?php echo $row['agid']; ?>"><?php echo $row['agname']; ?></option>
										<?php 
										} 
										}
										?>
</select>
</div>
</div>
<div class="col-lg-3 col-sm-6 col-12">
<div class="form-group">
<label>User Name</label>
<input type="text" class="form-control" name="user_name" value="<?php echo $view_result['user_name']; ?>" placeholder="Enter Username" required>
</div>
</div>
<div class="col-lg-3 col-sm-6 col-12">
<div class="form-group">
<label>Status</label>
<select class="form-control" name="status" required>
<option value="1"<?php if($view_result['status']=="1"){echo "selected";} ?>>Active</option>
<option value="0"<?php if($view_result['status']=="0"){echo "selected";} ?>>Deactive</option>
</select>
</div>
</div>
<div class="col-lg-12 col-sm-12 col-12">
<div class="form-group">
<label>Profile Picture</label>
<label for="user_image"><img src="images/employee/<?php echo $view_result['profile_picture']; ?>" id="yourImgTag" class="pro_pick" style="width:200px;height:200px;"></label>
<input type="file" name="user_image" id="user_image" hidden="yes" onChange="dis_name();">
<script>
function dis_name(){
var input = document.getElementById("user_image");
var fReader = new FileReader();
fReader.readAsDataURL(input.files[0]);
fReader.onloadend = function(event){
var img = document.getElementById("yourImgTag");
img.src = event.target.result;
}
}
</script>
</div>
<div class="col-lg-12 col-sm-12 col-12">
<a href="employeelist.php" class="btn btn-cancel">Cancel</a>
<button type="submit" name="update" class="btn btn-submit me-2">Update</button>
</div>
</div>
</form>
</div>
</div>

</div>
</div>
</div>


<script src="assets/js/jquery-3.6.0.min.js"></script>

<script src="assets/js/feather.min.js"></script>

<script src="assets/js/jquery.slimscroll.min.js"></script>

<script src="assets/js/jquery.dataTables.min.js"></script>
<script src="assets/js/dataTables.bootstrap4.min.js"></script>

<script src="assets/js/bootstrap.bundle.min.js"></script>

<script src="assets/plugins/select2/js/select2.min.js"></script>

<script src="assets/plugins/sweetalert/sweetalert2.all.min.js"></script>
<script src="assets/plugins/sweetalert/sweetalerts.min.js"></script>

<script src="assets/js/script.js"></script>
</body>
</html>